Debian Bug report logs - #634970
parrot: Parrot should declare dependency on perlapi virtual package

version graph

Package: parrot; Maintainer for parrot is Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>; Source for parrot is src:parrot.

Reported by: Dominique Dumont <dod@debian.org>

Date: Thu, 21 Jul 2011 11:06:02 UTC

Severity: important

Fixed in version parrot/3.3.0-1

Done: Allison Randal <allison@parrot.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>:
Bug#634970; Package parrot. (Thu, 21 Jul 2011 11:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <dod@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>. (Thu, 21 Jul 2011 11:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: parrot: Parrot should declare dependency on perlapi virtual package
Date: Thu, 21 Jul 2011 12:54:37 +0200
Package: parrot
Version: 3.3.0-1
Severity: important


Hello

Currently, parrot on i386 trigger FTBS (#634105) for rakudo.

Parrot uses Storable to generate some interface which is used during
rakudo's build.

Parrot for i386 was compiled with perl5.10, hence Storable's data is
compatible only with perl5.10.

Now that perl 5.12 is standard on sid, rakudo is built with perl 5.12
and thus fails to uses parrot's files.

For more details, see the following thread:

http://lists.alioth.debian.org/pipermail/pkg-rakudo-devel/2011-May/000016.html

The FTBS on rakudo can be solved by a binNMU on parrot/i386.

But the next Perl transition will trigger the same problem unless
parrot declares a dependency on perl api.

All the best

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.utf8)
Shell: /bin/sh linked to /bin/bash

Versions of packages parrot depends on:
ii  libc6                   2.13-10          Embedded GNU C Library: Shared lib
ii  libreadline6            6.2-2            GNU readline and history libraries
ii  parrot-minimal          3.3.0-1          minimal install of the Parrot VM
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

parrot recommends no packages.

Versions of packages parrot suggests:
ii  parrot-doc                    3.3.0-1    Parrot documentation

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>:
Bug#634970; Package parrot. (Fri, 29 Jul 2011 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <dominique.dumont@hp.com>:
Extra info received and forwarded to list. Copy sent to Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>. (Fri, 29 Jul 2011 11:39:12 GMT) Full text and rfc822 format available.

Message #10 received at 634970@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dominique.dumont@hp.com>
To: 634970@bugs.debian.org
Subject: Upstream bug
Date: Fri, 29 Jul 2011 13:30:54 +0200
On Friday 29 July 2011 12:34:17 Allison Randal wrote:
> perlapi is for XS modules, and dh_perl only adds perlapi-<version> if it
> encounters compiled .so XS modules (read the source code for dh_perl).
> But Parrot doesn't have any XS modules, and neither does Storable.
> 
> This is not the right fix.
> 
> What's actually going on is that Parrot is storing some configuration
> variables in a plain-text format (what Storable writes). Some tools used
> by Rakudo are then reading that plain-text format (using Storable to
> read it).
> 
> The fundamental problem is that Storable was never intended to be used
> for persistent data files. Even in Parrot, the usage of Storable is
> supposed to be temporary during the build process. But, a few language
> build tools designed to be used with a Parrot build directory are now
> being installed. The real fix is to make all installed tools use the
> parrot_config tool (which contains all the same data) instead of using
> the fragile Storable text file. I'll move this bug upstream, it's not a
> packaging problem.


Dominique
--
http://config-model.wiki.sourceforge.net/ -o- http://search.cpan.org/~ddumont/
http://www.ohloh.net/accounts/ddumont     -o- http://ddumont.wordpress.com/




Reply sent to Allison Randal <allison@parrot.org>:
You have taken responsibility. (Sat, 30 Jul 2011 13:24:03 GMT) Full text and rfc822 format available.

Notification sent to Dominique Dumont <dod@debian.org>:
Bug acknowledged by developer. (Sat, 30 Jul 2011 13:24:04 GMT) Full text and rfc822 format available.

Message #15 received at 634970-done@bugs.debian.org (full text, mbox):

From: Allison Randal <allison@parrot.org>
To: 634970-done@bugs.debian.org
Subject: parrot: Parrot should declare dependency on perlapi virtual package
Date: Sat, 30 Jul 2011 15:15:18 +0200
Package: parrot
Version: 3.3.0-1
Severity: wishlist
Tags: wontfix

Closing this bug, since the root problem was already fixed with a
binNMU, and the proposed packaging change isn't applicable. The Debian
answer for now is "synchronize Parrot-language package releases with
Parrot-core package releases". Since the upstream release schedules are
tightly synchronized (so tightly that a particular release of Rakudo
generally only works with exactly one release of Parrot), this shouldn't
be a problem.

It has inspired a feature discussion upstream, for more info see:

http://trac.parrot.org/parrot/ticket/2167

Allison




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Aug 2011 07:38:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:58:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.